Bug 252776 - NullPointerException at com.sun.tools.javac.processing.JavacProcessingEnvironment$1.visitTopLevel
NullPointerException at com.sun.tools.javac.processing.JavacProcessingEnviron...
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Compiler
8.1
All All
: P2 with 1 vote (vote)
: Dev
Assigned To: Dusan Balek
issues@java
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-03 11:29 UTC by Jiri Prox
Modified: 2017-05-04 08:53 UTC (History)
6 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.63 KB, text/plain)
2015-06-03 11:29 UTC, Jiri Prox
Details
stacktrace (2.42 KB, text/plain)
2015-07-24 03:38 UTC, alied
Details
stacktrace (2.42 KB, text/plain)
2015-07-29 04:26 UTC, alied
Details
suggested file (9.07 KB, application/octet-stream)
2015-07-29 04:27 UTC, alied
Details
stacktrace (2.66 KB, text/plain)
2015-09-12 07:46 UTC, Exceptions Reporter
Details
stacktrace (2.64 KB, text/plain)
2015-09-23 03:45 UTC, alied
Details
stacktrace (2.70 KB, text/plain)
2016-03-21 07:14 UTC, Alexandr Scherbatiy
Details
stacktrace (2.61 KB, text/plain)
2016-11-08 15:04 UTC, Tomas Stupka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Prox 2015-06-03 11:29:32 UTC
Build: NetBeans IDE Dev (Build 201506020405)
VM: Java HotSpot(TM) 64-Bit Server VM, 25.45-b02, Java(TM) SE Runtime Environment, 1.8.0_45-b14
OS: Windows 7

User Comments:
jiriprox: NPE when opening jsp file




Stacktrace: 
java.lang.NullPointerException
   at com.sun.tools.javac.processing.JavacProcessingEnvironment$1.visitTopLevel(JavacProcessingEnvironment.java:1406)
   at com.sun.tools.javac.tree.JCTree$JCCompilationUnit.accept(JCTree.java:513)
   at com.sun.tools.javac.tree.TreeScanner.scan(TreeScanner.java:49)
   at com.sun.tools.javac.processing.JavacProcessingEnvironment$1.scan(JavacProcessingEnvironment.java:1399)
   at com.sun.tools.javac.processing.JavacProcessingEnvironment$Round.newRound(JavacProcessingEnvironment.java:1105)
   at com.sun.tools.javac.processing.JavacProcessingEnvironment$Round.<init>(JavacProcessingEnvironment.java:918)
Comment 1 Jiri Prox 2015-06-03 11:29:34 UTC
Created attachment 154033 [details]
stacktrace
Comment 2 alied 2015-07-24 03:38:10 UTC
Created attachment 154833 [details]
stacktrace

Opening a java-info.java from a Maven project
Comment 3 alied 2015-07-29 04:26:49 UTC
Created attachment 154995 [details]
stacktrace

trying to open a module-info.java
Comment 4 alied 2015-07-29 04:27:31 UTC
Created attachment 154996 [details]
suggested file
Comment 5 Exceptions Reporter 2015-09-08 20:46:03 UTC
This bug already has 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=217704
Comment 6 Exceptions Reporter 2015-09-12 07:46:19 UTC
Created attachment 156120 [details]
stacktrace

just opened a maven project and navigated in source packages...once i opened a java file thi error popped.
Comment 7 alied 2015-09-23 03:45:25 UTC
Created attachment 156369 [details]
stacktrace

editing a java-module.java file testing jigsaw
Comment 8 Exceptions Reporter 2015-11-20 18:17:57 UTC
This bug already has 10 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=217704
Comment 9 Alexandr Scherbatiy 2016-03-21 07:14:27 UTC
Created attachment 158941 [details]
stacktrace

Copy the code
Comment 10 Exceptions Reporter 2016-10-09 22:58:25 UTC
This bug already has 20 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=217704
Comment 11 Tomas Stupka 2016-11-08 15:04:28 UTC
Created attachment 162828 [details]
stacktrace

c&p m-i.java from a j2se project to a mavenproject
Comment 12 Dusan Balek 2017-05-04 08:53:20 UTC
Already fixed in dev build.

http://hg.netbeans.org/main/nb-javac/rev/64202373b9cc


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo